## apache2 2.4.62

=== debian/changelog ===
apache2 (2.4.62-1) unstable; urgency=medium

  * New upstream version 2.4.62 (Closes: CVE-2024-40725, CVE-2024-40898)

 -- Yadd <yadd@debian.org>  Thu, 18 Jul 2024 06:56:52 +0400

apache2 (2.4.61-1) unstable; urgency=medium

  * New upstream version 2.4.61 (Closes: CVE-2024-39884)

 -- Yadd <yadd@debian.org>  Wed, 03 Jul 2024 19:22:29 +0400

apache2 (2.4.60-1) unstable; urgency=medium

  [ Bastien Roucariès ]
  * Forward port CVE-2023-25690 uwsgi tests
  * Fix depends of uwsgi test
  * Use python3 uwsgi plugin
  * Encode bytes for uwsgi test

  [ Bryce Harrington ]
  * Add UFW profile integration (Closes: #1071705)

  [Chris Murray]
  * Use https instead of http in doc (LP: #2045055)

  [ Yadd ]
  * Bump liblua from liblua5.3-dev to liblua5.4-dev (Closes: #1071701)
  * Update test framework
  * releasing package apache2 version 2.4.59-1~deb12u1
  * New upstream version (CLoses: CVE-2024-36387, CVE-2024-38472,
    CVE-2024-38473, CVE-2024-38474, CVE-2024-38475, CVE-2024-38476,
    CVE-2024-38477, CVE-2024-39573)
  * Unfuzz patches

 -- Yadd <yadd@debian.org>  Mon, 01 Jul 2024 18:04:08 +0400

apache2 (2.4.59-2) unstable; urgency=medium

  * Breaks against fossil due to CVE-2024-24795 follows up

 -- Bastien Roucariès <rouca@debian.org>  Mon, 29 Apr 2024 21:55:28 +0000

apache2 (2.4.59-1) unstable; urgency=medium

  [ Stefan Fritsch ]
  * Remove old transitional packages libapache2-mod-md and
    libapache2-mod-proxy-uwsgi. Closes: #1032628

  [ Yadd ]
  * mod_proxy_connect: disable AllowCONNECT by default (Closes: #1054564)
  * Refresh patches
  * New upstream version 2.4.59
    (Closes: #1068412 CVE-2024-27316 CVE-2024-24795 CVE-2023-38709)
  * Refresh patches
  * Update patches
  * Update test framework

 -- Yadd <yadd@debian.org>  Fri, 05 Apr 2024 08:08:11 +0400

=== debian/control ===
Source: apache2
Maintainer: Debian Apache Maintainers <debian-apache@lists.debian.org>
Uploaders: Stefan Fritsch <sf@debian.org>,
           Arno Töll <arno@debian.org>,
           Ondřej Surý <ondrej@debian.org>,
           Yadd <yadd@debian.org>
Section: httpd
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dpkg-dev (>= 1.16.1~),
               bison,
               gawk | awk,
               jdupes,
               libapr1-dev,
               libaprutil1-dev,
               libbrotli-dev,
               liblua5.4-dev,
               libnghttp2-dev,
               libpcre2-dev,
               libssl-dev,
               libxml2-dev,
               lsb-release,
               perl,
               zlib1g-dev,
               libcurl4-openssl-dev | libcurl4-dev,
               libjansson-dev
Build-Conflicts: autoconf2.13
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/apache-team/apache2
Vcs-Git: https://salsa.debian.org/apache-team/apache2.git
Homepage: https://httpd.apache.org/
Rules-Requires-Root: binary-targets

Package: apache2
Architecture: any
Depends: apache2-bin (= ${binary:Version}),
         apache2-data (= ${source:Version}),
         apache2-utils (= ${binary:Version}),
         media-types,
         ${perl:Depends},
         procps [!hurd-i386],
         ${misc:Depends}
Recommends: ssl-cert
Suggests: apache2-doc,
          apache2-suexec-pristine | apache2-suexec-custom,
          www-browser,
          ufw
Pre-Depends: ${misc:Pre-Depends}
Provides: httpd,
          httpd-cgi
Description: Apache HTTP Server
 The Apache HTTP Server Project's goal is to build a secure, efficient and
 extensible HTTP server as standards-compliant open source software. The
 result has long been the number one web server on the Internet.
 .
 Installing this package results in a full installation, including the
 configuration files, init scripts and support scripts.

Package: apache2-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Apache HTTP Server (common files)
 The Apache HTTP Server Project's goal is to build a secure, efficient and
 extensible HTTP server as standards-compliant open source software. The
 result has long been the number one web server on the Internet.
 .
 This package contains architecture-independent common files such as icons,
 error pages and static index files.

Package: apache2-bin
Architecture: any
Depends: ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Suggests: apache2-doc,
          apache2-suexec-pristine | apache2-suexec-custom,
          www-browser
Breaks: fossil (<< 1:2.24-5~)
Provides: ${apache2:API}
Description: Apache HTTP Server (modules and other binary files)
 The Apache HTTP Server Project's goal is to build a secure, efficient and
 extensible HTTP server as standards-compliant open source software. The
 result has long been the number one web server on the Internet.
 .
 This package contains the binaries only and does not set up a working
 web-server instance. Install the "apache2" package to get a fully working
 instance.

Package: apache2-utils
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: Apache HTTP Server (utility programs for web servers)
 Provides some add-on programs useful for any web server.  These include:
  - ab (Apache benchmark tool)
  - fcgistarter (Start a FastCGI program)
  - logresolve (Resolve IP addresses to hostnames in logfiles)
  - htpasswd (Manipulate basic authentication files)
  - htdigest (Manipulate digest authentication files)
  - htdbm (Manipulate basic authentication files in DBM format, using APR)
  - htcacheclean (Clean up the disk cache)
  - rotatelogs (Periodically stop writing to a logfile and open a new one)
  - split-logfile (Split a single log including multiple vhosts)
  - checkgid (Checks whether the caller can setgid to the specified group)
  - check_forensic (Extract mod_log_forensic output from Apache log files)
  - httxt2dbm (Generate dbm files for use with RewriteMap)

Package: apache2-suexec-pristine
Architecture: any
Depends: apache2-bin,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: apache2-suexec
Description: Apache HTTP Server standard suexec program for mod_suexec
 Provides the standard suexec helper program for mod_suexec. This version is
 compiled with document root /var/www and userdir suffix public_html. If you
 need different settings, use the package apache2-suexec-custom.

Package: apache2-suexec-custom
Architecture: any
Depends: apache2-bin,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: apache2-suexec
Description: Apache HTTP Server configurable suexec program for mod_suexec
 Provides a customizable version of the suexec helper program for mod_suexec.
 This is not the version from upstream, but can be configured with a
 configuration file.
 .
 If you do not need non-standard document root or userdir settings, it is
 recommended that you use the standard suexec helper program from the
 apache2-suexec-pristine package instead.

Package: apache2-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: apache2
Pre-Depends: ${misc:Pre-Depends}
Description: Apache HTTP Server (on-site documentation)
 The Apache HTTP Server Project's goal is to build a secure, efficient and
 extensible HTTP server as standards-compliant open source software. The
 result has long been the number one web server on the Internet.
 .
 This package provides the documentation for the Apache 2 HTTP server. The
 documentation is shipped in HTML format and can be accessed from a local
 running Apache HTTP server instance or by browsing the file system directly.

Package: apache2-dev
Architecture: any
Depends: debhelper (>= 10),
         libapr1-dev,
         libaprutil1-dev,
         libpcre2-dev,
         openssl,
         ${misc:Depends},
         ${perl:Depends}
Provides: dh-apache2,
          dh-sequence-apache2
Description: Apache HTTP Server (development headers)
 The Apache HTTP Server Project's goal is to build a secure, efficient and
 extensible HTTP server as standards-compliant open source software. The
 result has long been the number one web server on the Internet.
 .
 This package provides development headers and the apxs2 binary for the Apache
 2 HTTP server, useful to develop and link third party additions to the Debian
 Apache HTTP server package.
 .
 It also provides dh_apache2 and dh sequence addons useful to install various
 Debian Apache2 extensions with debhelper. It supports
  - Apache 2 module configurations and shared objects
  - Site configuration files
  - Global configuration files

Package: apache2-ssl-dev
Architecture: any
Multi-Arch: same
Depends: apache2-dev (= ${binary:Version}),
         libssl-dev,
         ${misc:Depends}
Description: Apache HTTP Server (mod_ssl development headers)
 The Apache HTTP Server Project's goal is to build a secure, efficient and
 extensible HTTP server as standards-compliant open source software. The
 result has long been the number one web server on the Internet.
 .
 This package provides the development header and the dependencies for
 modules that interact with mod_ssl's internal openssl state.

=== debian/tests/control ===
Tests: run-test-suite
Features: no-build-needed
Restrictions: allow-stderr isolation-container breaks-testbed needs-root
Depends: build-essential, apache2, apache2-dev,
         libwww-perl, libnet-ssleay-perl, libanyevent-perl, libdatetime-perl,
         libhtml-parser-perl, libtime-hires-perl, libcrypt-ssleay-perl,
         libhttp-dav-perl, libprotocol-http2-perl, libfcgi-perl,
         libpcre2-dev, perl-doc

Tests: duplicate-module-load, default-mods
Restrictions: allow-stderr, needs-root
Depends: apache2

Tests: htcacheclean
Restrictions: allow-stderr, needs-root, skippable
Depends: apache2

Tests: ssl-passphrase
Restrictions: needs-root allow-stderr breaks-testbed
Depends: apache2, curl, expect, ssl-cert

Tests: check-http2
Restrictions: needs-root allow-stderr breaks-testbed
Depends: apache2, curl, ssl-cert, nghttp2-client

Tests: chroot
Features: no-build-needed
Restrictions: needs-root allow-stderr breaks-testbed
Depends: apache2, wget, dpkg-dev, gcc

Tests: uwsgi
Restrictions: allow-stderr, needs-root
Depends: apache2, uwsgi, wget, uwsgi-plugin-python3, rsync, netcat-openbsd | netcat-traditional

Tests: CVE-2023-25690
Restrictions: allow-stderr, needs-root, isolation-container
Depends: apache2, rsync, curl, wget

## apache2 2.4.63

=== debian/changelog ===
apache2 (2.4.63-1ubuntu1.1) plucky-security; urgency=medium

  * SECURITY UPDATE: HTTP response splitting
    - debian/patches/CVE-2024-42516.patch: fix header merging in
      modules/http/http_filters.c.
    - CVE-2024-42516
  * SECURITY UPDATE: SSRF with mod_headers setting Content-Type header
    - debian/patches/CVE-2024-43204-pre1.patch: avoid ap_set_content_type
      when processing a _Request_Header set|edit|unset Content-Type in
      modules/metadata/mod_headers.c.
    - debian/patches/CVE-2024-43204.patch: use header only in
      modules/metadata/mod_headers.c.
    - CVE-2024-43204
  * SECURITY UPDATE: mod_ssl error log variable escaping
    - debian/patches/CVE-2024-47252.patch: escape ssl vars in
      modules/ssl/ssl_engine_vars.c.
    - CVE-2024-47252
  * SECURITY UPDATE: mod_ssl access control bypass with session resumption
    - debian/patches/CVE-2025-23048.patch: update SNI validation in
      modules/ssl/ssl_engine_kernel.c.
    - CVE-2025-23048
  * SECURITY UPDATE: mod_proxy_http2 denial of service
    - debian/patches/CVE-2025-49630.patch: tolerate missing host header in
      h2 proxy in modules/http2/h2_proxy_session.c.
    - CVE-2025-49630
  * SECURITY UPDATE: mod_ssl TLS upgrade attack
    - debian/patches/CVE-2025-49812.patch: remove antiquated 'SSLEngine
      optional' TLS upgrade in modules/ssl/ssl_engine_config.c,
      modules/ssl/ssl_engine_init.c, modules/ssl/ssl_engine_kernel.c,
      modules/ssl/ssl_private.h.
    - CVE-2025-49812
  * SECURITY UPDATE: 
    - debian/patches/CVE-2025-53020.patch: improve h2 header error handling
      in modules/http2/h2_request.c, modules/http2/h2_request.h,
      modules/http2/h2_session.c, modules/http2/h2_session.h,
      modules/http2/h2_stream.c, modules/http2/h2_util.c,
      modules/http2/h2_util.h,
      test/modules/http2/test_200_header_invalid.py.
    - CVE-2025-53020

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 14 Jul 2025 11:12:31 -0400

apache2 (2.4.63-1ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - d/index.html, d/icons/ubuntu-logo.png, d/apache2.postrm,
      d/source/include-binaries, d/t/check-ubuntu-branding: Replace
      Debian with Ubuntu on default homepage (LP: #1966004, LP: #1947459).
    - d/apache2.py, d/apache2-bin.install: Add apport hook (LP: #609177).
    - d/debhelper/apache2-maintscript-helper: Allow execution when called from
      a postinst script through a trigger (i.e., postinst triggered). Thanks
      to Roel van Meer (Closes: #1060450, LP: #2038912).
    - d/index.html, d/apache2.postrm: Fix HTTPS link to Apache
      documentation (LP: #2045055).
  * Dropped changes, included upstream:
    - d/c/m/setenvif.conf, d/p/fix-dolphin-to-delete-webdav-dirs.patch: Add
      dolphin and Konqueror/5 careful redirection so that directories can be
      deleted via webdav (LP: #1927742).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 19 Feb 2025 01:03:52 -0600

apache2 (2.4.63-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.4.63
  * Drop patches included in upstream
  * Back to unstable

 -- Yadd <yadd@debian.org>  Fri, 24 Jan 2025 07:51:38 +0100

apache2 (2.4.62-6) experimental; urgency=medium

  * Fix Reverse proxy via mod_rewrite broken after 2.4.62
    (Closes: #1081266)

 -- Bastien Roucariès <rouca@debian.org>  Tue, 26 Nov 2024 14:39:33 +0000

apache2 (2.4.62-5) experimental; urgency=medium

  * Fix CVE-2024-38473 regression: error parsing URL //: with space
    (Closes: #1079171)

 -- Bastien Roucariès <rouca@debian.org>  Thu, 14 Nov 2024 00:14:37 +0000

apache2 (2.4.62-4) experimental; urgency=medium

  * Fix CVE-2024-38473 regression: error parsing URL //: Invalid host/port
    SetHandler "proxy:unix:/run/sympa/wwsympa.socket|fcgi://" failed
    with AH01059: error
    (Closes: #1076554)

 -- Bastien Roucariès <rouca@debian.org>  Sat, 05 Oct 2024 18:11:40 +0000

apache2 (2.4.62-3ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2085206). Remaining changes:
    - d/index.html, d/icons/ubuntu-logo.png, d/apache2.postrm,
      d/source/include-binaries, d/t/check-ubuntu-branding: Replace
      Debian with Ubuntu on default homepage.
      (LP #1966004, LP #1947459)
    - d/apache2.py, d/apache2-bin.install: Add apport hook
      (LP #609177)
    - d/c/m/setenvif.conf, d/p/fix-dolphin-to-delete-webdav-dirs.patch: Add
      dolphin and Konqueror/5 careful redirection so that directories can be
      deleted via webdav.
      (LP #1927742)
    - d/debhelper/apache2-maintscript-helper: Allow execution when called from a
      postinst script through a trigger (i.e., postinst triggered).
      Thanks to Roel van Meer. (Closes: #1060450)
      (LP #2038912)
    - d/index.html, d/apache2.postrm: Fix https link to apache
      documentation.
      (LP #2045055)

 -- Bryce Harrington <bryce@canonical.com>  Thu, 21 Nov 2024 13:36:30 -0800

apache2 (2.4.62-3) unstable; urgency=medium

  * Fix debian/changelog

 -- Bastien Roucariès <rouca@debian.org>  Fri, 04 Oct 2024 13:35:02 +0000

apache2 (2.4.62-2) unstable; urgency=medium

  * Add myself as maintainer with yadd agreement.
  * Fix CVE-2024-38474 regression:
    Better question mark tracking to avoid UnsafeAllow3F
    (Closes: #1079172)
  * Fix CVE-2024-39884 regression:
    Trust strings from configuration in mod_proxy
    (Closes: #1079206)

 -- Bastien Roucariès <rouca@debian.org>  Sun, 29 Sep 2024 18:47:03 +0000

apache2 (2.4.62-1ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable (LP: #2077060). Remaining changes:
    - d/index.html, d/icons/ubuntu-logo.png, d/apache2.postrm,
      d/source/include-binaries, d/t/check-ubuntu-branding: Replace
      Debian with Ubuntu on default homepage.
      (LP #1966004, LP #1947459)
    - d/apache2.py, d/apache2-bin.install: Add apport hook
      (LP #609177)
    - d/c/m/setenvif.conf, d/p/fix-dolphin-to-delete-webdav-dirs.patch: Add


=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: apache2
-Maintainer: Debian Apache Maintainers <debian-apache@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Apache Maintainers <debian-apache@lists.debian.org>
 Uploaders: Stefan Fritsch <sf@debian.org>,
            Arno Töll <arno@debian.org>,
            Ondřej Surý <ondrej@debian.org>,
-           Yadd <yadd@debian.org>
+           Yadd <yadd@debian.org>,
+           Bastien Roucariès <rouca@debian.org>
 Section: httpd
 Priority: optional
 Build-Depends: debhelper-compat (= 13),

=== debian/tests/control ===
--- 
+++ 
@@ -23,6 +23,10 @@
 Restrictions: needs-root allow-stderr breaks-testbed
 Depends: apache2, curl, ssl-cert, nghttp2-client
 
+Tests: check-ubuntu-branding
+Restrictions: allow-stderr
+Depends: apache2, curl
+
 Tests: chroot
 Features: no-build-needed
 Restrictions: needs-root allow-stderr breaks-testbed

## apache2 2.4.64

=== CMakeLists.txt ===
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Read README.cmake before using this.

PROJECT(HTTPD C)

CMAKE_MINIMUM_REQUIRED(VERSION 2.8)

INCLUDE(CheckSymbolExists)
INCLUDE(CheckCSourceCompiles)
INCLUDE("build/build-modules-c.cmake")

FIND_PACKAGE(LibXml2)
FIND_PACKAGE(Lua51)
FIND_PACKAGE(OpenSSL)
FIND_PACKAGE(ZLIB)
FIND_PACKAGE(CURL)
FIND_PACKAGE(PCRE2 COMPONENTS 8BIT)

# Options for support libraries not supported by cmake-bundled FindFOO

# Default to using APR trunk (libapr-2.lib) if it exists in PREFIX/lib;
# otherwise, default to APR 1.x + APR-util 1.x
IF(EXISTS "${CMAKE_INSTALL_PREFIX}/lib/libapr-2.lib")
  SET(default_apr_libraries "${CMAKE_INSTALL_PREFIX}/lib/libapr-2.lib")
ELSEIF(EXISTS "${CMAKE_INSTALL_PREFIX}/lib/libapr-1.lib")
  SET(ldaplib "${CMAKE_INSTALL_PREFIX}/lib/apr_ldap-1.lib")
  IF(NOT EXISTS ${ldaplib})
    SET(ldaplib)
  ENDIF()
  SET(default_apr_libraries ${CMAKE_INSTALL_PREFIX}/lib/libapr-1.lib ${CMAKE_INSTALL_PREFIX}/lib/libaprutil-1.lib ${ldaplib})
ELSE()
  SET(default_apr_libraries)
ENDIF()

# PCRE names its libraries differently for debug vs. release builds.
# We can't query our own CMAKE_BUILD_TYPE at configure time.
# If the debug version exists in PREFIX/lib, default to that one.
IF(PCRE2_FOUND)
  SET(default_pcre_libraries "PCRE2::8BIT")
  SET(default_pcre_cflags "-DHAVE_PCRE2")
ELSEIF(EXISTS "${CMAKE_INSTALL_PREFIX}/lib/pcre2-8d.lib")
  SET(default_pcre_libraries ${CMAKE_INSTALL_PREFIX}/lib/pcre2-8d.lib)
  SET(default_pcre_cflags "-DHAVE_PCRE2")
ELSEIF(EXISTS "${CMAKE_INSTALL_PREFIX}/lib/pcre2-8.lib")
  SET(default_pcre_libraries ${CMAKE_INSTALL_PREFIX}/lib/pcre2-8.lib)
  SET(default_pcre_cflags "-DHAVE_PCRE2")
ELSEIF(EXISTS "${CMAKE_INSTALL_PREFIX}/lib/pcred.lib")
  SET(default_pcre_libraries ${CMAKE_INSTALL_PREFIX}/lib/pcred.lib)
ELSE()
  SET(default_pcre_libraries ${CMAKE_INSTALL_PREFIX}/lib/pcre.lib)
ENDIF()

IF(EXISTS "${CMAKE_INSTALL_PREFIX}/lib/nghttp2d.lib")
  SET(default_nghttp2_libraries "${CMAKE_INSTALL_PREFIX}/lib/nghttp2d.lib")
ELSE()
  SET(default_nghttp2_libraries "${CMAKE_INSTALL_PREFIX}/lib/nghttp2.lib")
ENDIF()

IF(EXISTS "${CMAKE_INSTALL_PREFIX}/lib/brotlienc.lib")
  SET(default_brotli_libraries "${CMAKE_INSTALL_PREFIX}/lib/brotlienc.lib" "${CMAKE_INSTALL_PREFIX}/lib/brotlicommon.lib")
ELSE()
  SET(default_brotli_libraries)
ENDIF()

IF(EXISTS "${CMAKE_INSTALL_PREFIX}/lib/libcurl_imp.lib")
  SET(default_curl_libraries "${CMAKE_INSTALL_PREFIX}/lib/libcurl_imp.lib")
ELSEIF(EXISTS "${CMAKE_INSTALL_PREFIX}/lib/libcurl.lib")
  SET(default_curl_libraries "${CMAKE_INSTALL_PREFIX}/lib/libcurl.lib")
ELSE()
  SET(default_curl_libraries)
ENDIF()

IF(EXISTS "${CMAKE_INSTALL_PREFIX}/lib/jansson.lib")
  SET(default_jansson_libraries "${CMAKE_INSTALL_PREFIX}/lib/jansson.lib")
ELSE()
  SET(default_jansson_libraries)
ENDIF()

SET(APR_INCLUDE_DIR       "${CMAKE_INSTALL_PREFIX}/include" CACHE STRING "Directory with APR[-Util] include files")
SET(APR_LIBRARIES         ${default_apr_libraries}       CACHE STRING "APR libraries to link with")
SET(NGHTTP2_INCLUDE_DIR   "${CMAKE_INSTALL_PREFIX}/include" CACHE STRING "Directory with NGHTTP2 include files within nghttp2 subdirectory")
SET(NGHTTP2_LIBRARIES     ${default_nghttp2_libraries}   CACHE STRING "NGHTTP2 libraries to link with")
SET(PCRE_CFLAGS           "${default_pcre_cflags}"       CACHE STRING "PCRE flags for util_pcre.c compilation")
SET(PCRE_INCLUDE_DIR      "${CMAKE_INSTALL_PREFIX}/include" CACHE STRING "Directory with PCRE include files")
SET(PCRE_LIBRARIES        ${default_pcre_libraries}      CACHE STRING "PCRE libraries to link with")
SET(LIBXML2_ICONV_INCLUDE_DIR     ""                     CACHE STRING "Directory with iconv include files for libxml2")
SET(LIBXML2_ICONV_LIBRARIES       ""                     CACHE STRING "iconv libraries to link with for libxml2")
SET(BROTLI_INCLUDE_DIR    "${CMAKE_INSTALL_PREFIX}/include" CACHE STRING "Directory with include files for Brotli")
SET(BROTLI_LIBRARIES      ${default_brotli_libraries}    CACHE STRING "Brotli libraries to link with")
SET(CURL_INCLUDE_DIR      "${CMAKE_INSTALL_PREFIX}/include" CACHE STRING "Directory with include files for cURL")
SET(CURL_LIBRARIES        ${default_curl_libraries}         CACHE STRING "cURL libraries to link with")
SET(JANSSON_INCLUDE_DIR   "${CMAKE_INSTALL_PREFIX}/include" CACHE STRING "Directory with include files for jansson")
SET(JANSSON_LIBRARIES     "${default_jansson_libraries}" CACHE STRING "Jansson libraries to link with")
# end support library configuration

# Misc. options
OPTION(INSTALL_PDB        "Install .pdb files (if generated)"  ON)
OPTION(INSTALL_MANUAL     "Install manual"                     ON)

SET(ENABLE_MODULES        "O"                            CACHE STRING "Minimum module enablement (e.g., \"i\" to build all but those without prerequisites)")
SET(WITH_MODULES          ""                             CACHE STRING "comma-separated paths to single-file modules to statically link into the server")
SET(EXTRA_INCLUDES        ""                             CACHE STRING "Extra include directories")
SET(EXTRA_LIBS            ""                             CACHE STRING "Extra libraries")
SET(EXTRA_COMPILE_FLAGS   ""                             CACHE STRING "Extra compile flags")

IF(NOT EXISTS "${APR_INCLUDE_DIR}/apr.h")
  MESSAGE(FATAL_ERROR "APR include directory ${APR_INCLUDE_DIR} is not correct.")
ENDIF()
FOREACH(onelib ${APR_LIBRARIES})
  IF(NOT EXISTS ${onelib})
    MESSAGE(FATAL_ERROR "APR library ${onelib} was not found.")
  ENDIF()
ENDFOREACH()

MACRO(DEFINE_WITH_BLANKS output_definition input_symbol input_value)
  IF(MSVC_IDE OR ${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}.${CMAKE_PATCH_VERSION} VERSION_GREATER 2.8.11)
    SET(${output_definition} "-D${input_symbol}=\"${input_value}\"")
  ELSE()
    # command-line tool + older cmake, where extra quotes must be added and
    # escaped to survive
    SET(${output_definition} "-D${input_symbol}=\"\\\"${input_value}\\\"\"")
  ENDIF()
ENDMACRO()

MACRO(GET_MOD_ENABLE_RANK macro_modname macro_mod_enable_val macro_output_rank)
  IF(${macro_mod_enable_val} STREQUAL "O")
    SET(${macro_output_rank} 0)
  ELSEIF(${macro_mod_enable_val} STREQUAL "i")
    SET(${macro_output_rank} 1)
  ELSEIF(${macro_mod_enable_val} STREQUAL "I")
    SET(${macro_output_rank} 2)
  ELSEIF(${macro_mod_enable_val} STREQUAL "a")
    SET(${macro_output_rank} 3)
  ELSEIF(${macro_mod_enable_val} STREQUAL "A")
    SET(${macro_output_rank} 4)
  ELSE()
    MESSAGE(FATAL_ERROR "Unexpected enablement value \"${macro_mod_enable_val}\" for ${macro_modname}")
  ENDIF()
ENDMACRO()

GET_MOD_ENABLE_RANK("ENABLE_MODULES setting" ${ENABLE_MODULES} enable_modules_rank)

# Figure out what APR/APU features are available
#
# CHECK_APR_FEATURE checks for features defined to 1 or 0 in apr.h or apu.h
# The symbol representing the feature will be set to TRUE or FALSE for 
# compatibility with the feature tests set by FindFooPackage.
#
# (unclear why CHECK_SYMBOL_EXISTS is needed, but I was getting "found" for anything 
# not defined to either 1 or 0)

MACRO(CHECK_APR_FEATURE which_define)
  SET(CMAKE_REQUIRED_INCLUDES "${APR_INCLUDE_DIR}")
  CHECK_SYMBOL_EXISTS(${which_define} "apr.h;apu.h" tmp_${which_define})
  IF(${tmp_${which_define}})
    CHECK_C_SOURCE_COMPILES("#include \"${APR_INCLUDE_DIR}/apr.h\"
      #include \"${APR_INCLUDE_DIR}/apu.h\"
      int main() {
      #ifndef ${which_define}
      #error gobble
      #endif
      #if !${which_define}
      #error gobble
      #endif
      return 1;}" ${which_define})
  ELSE()
    SET(${which_define})
  ENDIF()
  IF(${${which_define}})
    SET(${which_define} TRUE)
  ELSE()
    SET(${which_define} FALSE)
  ENDIF()
ENDMACRO()

CHECK_APR_FEATURE(APR_HAS_XLATE)
CHECK_APR_FEATURE(APU_HAVE_CRYPTO)

# APR_HAS_LDAP is defined in apr_ldap.h, which exists only in apr 1.x, so use
# special code instead of CHECK_APR_FEATURE()
# As with CHECK_APR_FEATURE(), convert to a TRUE/FALSE result.
CHECK_C_SOURCE_COMPILES("#include \"${APR_INCLUDE_DIR}/apr.h\"
#include \"${APR_INCLUDE_DIR}/apr_ldap.h\"
int main() {
#if !APR_HAS_LDAP
#error gobble
#endif
return 1;}" APR_HAS_LDAP)
IF(${APR_HAS_LDAP})
  SET(APR_HAS_LDAP TRUE)
ELSE()
  SET(APR_HAS_LDAP FALSE)
ENDIF()

# See if nghttp2 exists in a configured or defaulted location
SET(NGHTTP2_FOUND TRUE)
IF(EXISTS "${NGHTTP2_INCLUDE_DIR}/nghttp2/nghttp2.h")
  FOREACH(onelib ${NGHTTP2_LIBRARIES})
    IF(NOT EXISTS ${onelib})
      SET(NGHTTP2_FOUND FALSE)
    ENDIF()
  ENDFOREACH()
ELSE()
  SET(NGHTTP2_FOUND FALSE)
ENDIF()

# See if we have Brotli
SET(BROTLI_FOUND TRUE)
IF(EXISTS "${BROTLI_INCLUDE_DIR}/brotli/encode.h")
  FOREACH(onelib ${BROTLI_LIBRARIES})
    IF(NOT EXISTS ${onelib})
      SET(BROTLI_FOUND FALSE)
    ENDIF()
  ENDFOREACH()
ELSE()
  SET(BROTLI_FOUND FALSE)
ENDIF()

# See if we have Jansson
SET(JANSSON_FOUND TRUE)
IF(EXISTS "${JANSSON_INCLUDE_DIR}/jansson.h")
  FOREACH(onelib ${JANSSON_LIBRARIES})
    IF(NOT EXISTS ${onelib})
      SET(JANSSON_FOUND FALSE)
    ENDIF()
  ENDFOREACH()
ELSE()
  SET(JANSSON_FOUND FALSE)
ENDIF()


MESSAGE(STATUS "")
MESSAGE(STATUS "Summary of feature detection:")
MESSAGE(STATUS "")
MESSAGE(STATUS "LIBXML2_FOUND ............ : ${LIBXML2_FOUND}")
MESSAGE(STATUS "LUA51_FOUND .............. : ${LUA51_FOUND}")
MESSAGE(STATUS "NGHTTP2_FOUND ............ : ${NGHTTP2_FOUND}")
MESSAGE(STATUS "OPENSSL_FOUND ............ : ${OPENSSL_FOUND}")
MESSAGE(STATUS "ZLIB_FOUND ............... : ${ZLIB_FOUND}")
MESSAGE(STATUS "BROTLI_FOUND ............. : ${BROTLI_FOUND}")
MESSAGE(STATUS "CURL_FOUND ............... : ${CURL_FOUND}")
MESSAGE(STATUS "JANSSON_FOUND ............ : ${JANSSON_FOUND}")
MESSAGE(STATUS "APR_HAS_LDAP ............. : ${APR_HAS_LDAP}")
MESSAGE(STATUS "APR_HAS_XLATE ............ : ${APR_HAS_XLATE}")
MESSAGE(STATUS "APU_HAVE_CRYPTO .......... : ${APU_HAVE_CRYPTO}")
MESSAGE(STATUS "")

# Options for each available module
#   "A" ("A"ctive) means installed and active in default .conf, fail if can't be built
#   "I" ("I"nactive) means installed and inactive (LoadModule commented out) in default .conf, fail if can't be built
#   "O" ("O"mit) means not installed, no LoadModule
#   "a" - like "A", but ignore with a warning if any prereqs aren't available
#   "i" - like "I", but ignore with a warning if any prereqs aren't available

# Current heuristic for default enablement:
#
#   Module requires a prereq and           -> O
#   finding/usingprereq isn't implemented
#   yet
#
#   Module is included by default in       -> a if it has prereqs, A otherwise
#   autoconf-based build 
#
#   Module is included in                  -> i if it has prereqs, I otherwise
#   --enable-modules=most 
#
#   Otherwise                              -> O
#
SET(MODULE_LIST
  "modules/aaa/mod_access_compat+A+mod_access compatibility"
  "modules/aaa/mod_allowmethods+I+restrict allowed HTTP methods"
  "modules/aaa/mod_auth_basic+A+basic authentication"
  "modules/aaa/mod_auth_digest+I+RFC2617 Digest authentication"
  "modules/aaa/mod_auth_form+I+form authentication"
  "modules/aaa/mod_authn_anon+I+anonymous user authentication control"
  "modules/aaa/mod_authn_core+A+core authentication module"
  "modules/aaa/mod_authn_dbd+I+SQL-based authentication control"

=== debian/changelog ===
apache2 (2.4.64-1ubuntu2) questing; urgency=medium

  * SECURITY UPDATE: incorrect RewriteCond expr handling
    - debian/patches/CVE-2025-54090.patch: fix return code in
      modules/mappers/mod_rewrite.c.
    - CVE-2025-54090

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 23 Jul 2025 14:22:41 -0400

apache2 (2.4.64-1ubuntu1) questing; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - d/index.html, d/icons/ubuntu-logo.png, d/apache2.postrm,
      d/source/include-binaries, d/t/check-ubuntu-branding: Replace
      Debian with Ubuntu on default homepage (LP: 1966004, LP: 1947459).
    - d/apache2.py, d/apache2-bin.install: Add apport hook (LP: 609177).
    - d/debhelper/apache2-maintscript-helper: Allow execution when called from
      a postinst script through a trigger (i.e., postinst triggered). Thanks
      to Roel van Meer (Closes: 1060450, LP: 2038912).
    - d/index.html, d/apache2.postrm: Fix HTTPS link to Apache
      documentation (LP: 2045055).
    - d/perl-framework/t/apache/pr64339.t: Fix tests per upstream testsuite
      revisions to address changes in libxml2 changes. (LP: 2112429)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 16 Jul 2025 17:30:33 -0400

apache2 (2.4.64-1) unstable; urgency=medium

  [ Yadd ]
  * Add libanyevent-websocket-client-perl in test-suite dependencies
  * Add build dependency to libcrypt-dev (Closes: #1107049)
  * Update d/ch
  * Drop old and useless build helper (Closes: #1108897)
  * New upstream version 2.4.64
    (Closes: CVE-2025-23048, CVE-2024-42516, CVE-2024-43204, CVE-2024-43394,
    CVE-2024-47252, CVE-2025-49630, CVE-2025-49812, CVE-2025-53020)
  * Unfuzz patches

  [ Jo ]
  * Adapted comment for SSLSessionTickets (Closes: #972695)

 -- Yadd <yadd@debian.org>  Fri, 11 Jul 2025 06:37:48 +0200

apache2 (2.4.63-1ubuntu3) questing; urgency=medium

  * d/perl-framework/t/apache/pr64339.t: Fix tests per upstream testsuite
    revisions to address changes in libxml2 changes. (LP: #2112429)

 -- Thomas Ward <teward@ubuntu.com>  Wed, 04 Jun 2025 17:23:41 -0400

apache2 (2.4.63-1ubuntu2) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 May 2025 08:18:41 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_BUILD_ARCH_OS    ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH_OS)

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk

LSB_RELEASE := $(shell lsb_release -i -s)
BUILD_DATETIME := $(shell date -u --date="`dpkg-parsechangelog -S Date`" +%FT%T)
MODULE_DIR := /usr/lib/apache2/modules/
API := $(shell perl -ne 'print $$1 if m/define\s+MODULE_MAGIC_NUMBER_MAJOR\s+?(.*)$$/' < include/ap_mmn.h)
OPENSSL := openssl1.1
AP2_CFLAGS = -pipe $(CFLAGS)
AP2_LDFLAGS = -Wl,--as-needed $(LDFLAGS)
AP2_CPPFLAGS = -DPLATFORM='\"$(LSB_RELEASE)\"' -DBUILD_DATETIME='\"$(BUILD_DATETIME)\"' $(CPPFLAGS)
AP2_LTFLAGS = --no-silent

support/suexec-custom.c: support/suexec.c debian/patches/suexec-custom.patch
	cp support/suexec.c support/suexec-custom.c
	patch -p1 -i debian/patches/suexec-custom.patch

prebuild-checks-stamp:
	ERRS="" ;\
	for a in $$(find debian/config-dir/ -type f) ; do \
		t="$$a.$$$$" ;\
		unexpand < "$$a" > "$$t" ;\
		cmp -s "$$a" "$$t" || ERRS="$$ERRS $$a" ;\
		rm "$$t" ;\
	done ;\
	if [ -n "$$ERRS" ] ; then \
		echo 'ERROR: The following files contain spaces instead of tabs. Run through unexpand!' ;\
		ls -1 $$ERRS ;\
		false ;\
	fi
	MD5=$$(md5sum debian/index.html 2> /dev/null |cut -d' ' -f 1) ; \
	if ! grep -q $$MD5 debian/apache2.postrm ; then \
		echo "ERROR: index.html's md5 is missing in postrm!" ;\
		false ; \
	fi
	touch $@

debian/fixup_conffiles.tgz: \
    debian/config-dir/sites-available/000-default.conf \
    debian/config-dir/sites-available/default-ssl.conf \
    debian/config-dir/conf-available/charset.conf \
    debian/config-dir/conf-available/localized-error-pages.conf \
    debian/config-dir/conf-available/other-vhosts-access-log.conf \
    debian/config-dir/conf-available/security.conf \
    debian/config-dir/mods-available/cern_meta.load \
    debian/config-dir/mods-available/ident.load \
    debian/config-dir/mods-available/imagemap.load
	@# mtime/owner/group/mode are for reproducible build
	tar \
		--mtime=2000-01-01T00:00Z \
		--owner=root:0 \
		--group=root:0 \
		--mode=0644 \
		--transform 's,.*/,,' \
		-c $^ | gzip -n > $@

debian/fixup_conffiles.b64: debian/fixup_conffiles.tgz
	base64 < $< > $@

debian/apache2.preinst: debian/apache2.preinst.in debian/fixup_conffiles.b64 debian/create_preinst
	debian/create_preinst

clean-config-vars-stamp: debian/tmp/usr/share/apache2/build/config_vars.mk debian/clean_config_vars
	# Clean up config_vars.mk so that flags that are only intended for the
	# compilation of apache2 itself are not used by apxs for compiling
	# modules.
	perl ./debian/clean_config_vars '$(AP2_CFLAGS)' '$(AP2_CPPFLAGS)' '$(AP2_LDFLAGS)' '$(CXXFLAGS)'
	touch $@

%: %.in
	sed 's#__SERVER_VERSION__#$(DEB_VERSION_EPOCH_UPSTREAM)#; s#__MODULE_DIR__#$(MODULE_DIR)#; s#__API__#$(API)#; s#__OPENSSL__#$(OPENSSL)#;' $< > $@
	chmod `/usr/bin/stat -c '%a' "$<"` $@

substvars-stamp: debian/rules include/ap_mmn.h
	(grep -s -v apache2:API debian/apache2-bin.substvars; echo "apache2:API=apache2-api-$(API), apache2-api-$(API)-$(OPENSSL)") > debian/apache2-bin.substvars.new
	mv debian/apache2-bin.substvars.new debian/apache2-bin.substvars
	touch $@

suexec-scripts-stamp: $(wildcard debian/debian/apache2-suexec.*.in)
	set -e ; \
	for type in custom pristine ; do \
		for f in postinst preinst prerm links dirs lintian-overrides postrm; do \
			if [ -e debian/apache2-suexec.$$f.in ] ; then \
				perl -pe "s{__TYPE__}{$$type}g" < debian/apache2-suexec.$$f.in > debian/apache2-suexec-$$type.$$f ;\
				chmod `/usr/bin/stat -c '%a' "debian/apache2-suexec.$$f.in"` debian/apache2-suexec-$$type.$$f ;\
			fi ;\
		done ;\
	done
	touch $@

clean build build-arch build-indep binary binary-arch binary-indep: %:
	dh $@

override_dh_auto_configure: configure-stamp
configure-stamp: prebuild-checks-stamp support/suexec-custom.c
	AWK=awk \
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
		--enable-layout=Debian --enable-so --with-program-name=apache2 \
		--enable-suexec --with-suexec-caller=www-data \
		--with-suexec-bin=/usr/lib/apache2/suexec --with-suexec-docroot=/var/www \
		--with-suexec-userdir=public_html --with-suexec-logfile=/var/log/apache2/suexec.log \
		--with-suexec-uidmin=100 --enable-suexec=shared --enable-log-config=static \
		--with-apr=/usr/bin/apr-1-config --with-apr-util=/usr/bin/apu-1-config \
		--with-pcre=/usr/bin/pcre2-config \
		--enable-pie \
		--enable-mpms-shared=all \
		--enable-mods-shared="all brotli cgi ident authnz_fcgi imagemap cern_meta proxy_fdpass proxy_http2 bucketeer case_filter case_filter_in" \
		--enable-mods-static="unixd logio watchdog version" \
		CFLAGS="$(AP2_CFLAGS)" CPPFLAGS="$(AP2_CPPFLAGS)" LDFLAGS="$(AP2_LDFLAGS)" \
		LTFLAGS="$(AP2_LTFLAGS)" SHELL=/bin/bash GREP=/bin/grep
	touch $@

debian/config-dir/apache2.conf: debian/config-dir/apache2.conf.in
	@# Sanity check that the marker is actually there
	grep -q ___MUTEX___ $<
ifeq "$(DEB_BUILD_ARCH_OS)" "linux"
	@# On linux, we use the default pthread mutex. Comment out
	@# Mutex directive.
	perl -p -e 's,___MUTEX___,#,' < $< > $@
else
	@# On kfreebsd/hurd, pthread mutexes are not robust. There, we need to
	@# use fcntl and set the directory explicitly for multi-instance setups.
	perl -p -i -e 's,___MUTEX___,,' < $< > $@
endif

override_dh_install: clean-config-vars-stamp \
		     substvars-stamp \
		     debian/config-dir/apache2.conf \
		     debian/a2query \
		     debian/debhelper/dh_apache2 \
		     debian/apache2.preinst \
		     suexec-scripts-stamp
	# don't install mod_ssl_openssl.h in apache2-dev
	dh_install -papache2-dev -Xopenssl
	dh_install --remaining-packages

override_dh_missing:
	dh_missing --list-missing

override_dh_fixperms-arch:
	# standard suexec
	chmod 4754 debian/apache2-suexec-pristine/usr/lib/apache2/suexec-pristine
	chgrp www-data debian/apache2-suexec-pristine/usr/lib/apache2/suexec-pristine
	# configurable suexec
	chmod 4754 debian/apache2-suexec-custom/usr/lib/apache2/suexec-custom
	chgrp www-data debian/apache2-suexec-custom/usr/lib/apache2/suexec-custom
	dh_fixperms -a -Xusr/lib/apache2/suexec-custom -Xusr/lib/apache2/suexec-pristine
	chown -R www-data:www-data debian/apache2/var/cache/apache2/mod_cache_disk
	chown root:adm debian/apache2/var/log/apache2
	chmod o-rx debian/apache2/var/log/apache2

override_dh_fixperms-indep:
	dh_fixperms -i

override_dh_installinit:
	dh_installinit --error-handler=true
	# We enable apache-htcacheclean but we don't start it, some
	# custom postinst code will then manually either disable it or
	# start the service
	dh_installinit --name apache-htcacheclean --no-start

override_dh_installsystemd:
	dh_installsystemd -papache2 apache2.service
	dh_installsystemd -papache2 --name=apache2@ apache2@.service
	dh_installsystemd -papache2 --name=apache-htcacheclean apache-htcacheclean.service
	dh_installsystemd -papache2 --name=apache-htcacheclean@ apache-htcacheclean@.service

override_dh_installdocs-indep:
	perl debian/convert_docs debian/apache2-doc/usr/share/doc/apache2-doc/manual
	dh_installdocs -i

override_dh_installdocs-arch:
	dh_installdocs --link-doc=apache2 -papache2
	dh_installdocs --link-doc=apache2-dev -papache2-ssl-dev
	dh_installdocs -a

override_dh_link:
	dh_link
	if test -e debian/apache2-doc/usr/share/doc; then \
		jdupes -rl debian/apache2-doc/usr/share/doc; \
	fi

override_dh_installchangelogs:
	# Do not install changelogs the -data package not to reduce
	# disk space usage.
	dh_installchangelogs -Napache2-data

override_dh_installman:
	mv debian/tmp/usr/share/man/man8/suexec.8 debian/tmp/usr/share/man/man8/suexec-pristine.8
	mv debian/tmp/usr/share/man/man1/httxt2dbm.1 debian/tmp/usr/share/man/man8/httxt2dbm.8
	pod2man debian/debhelper/dh_apache2 > debian/manpages/dh_apache2.1
	pod2man debian/a2query.in > debian/manpages/a2query.8
	dh_installman

=== debian/tests/control ===
Tests: run-test-suite
Features: no-build-needed
Restrictions: allow-stderr isolation-container breaks-testbed needs-root
Depends: apache2,
         apache2-dev,
         build-essential,
         libanyevent-perl,
         libanyevent-websocket-client-perl,
         libcrypt-ssleay-perl,
         libdatetime-perl,
         libfcgi-perl,
         libhtml-parser-perl,
         libhttp-dav-perl,
         libnet-ssleay-perl,
         libpcre2-dev,
         libprotocol-http2-perl,
         libtime-hires-perl,
         libwww-perl,
         perl-doc

Tests: default-mods, duplicate-module-load
Restrictions: allow-stderr, needs-root
Depends: apache2

Tests: htcacheclean
Restrictions: allow-stderr, needs-root, skippable
Depends: apache2

Tests: ssl-passphrase
Restrictions: needs-root allow-stderr breaks-testbed
Depends: apache2, curl, expect, ssl-cert

Tests: check-http2
Restrictions: needs-root allow-stderr breaks-testbed
Depends: apache2, curl, nghttp2-client, ssl-cert

Tests: check-ubuntu-branding
Restrictions: allow-stderr
Depends: apache2, curl

Tests: chroot
Features: no-build-needed
Restrictions: needs-root allow-stderr breaks-testbed
Depends: dpkg-dev, apache2, gcc, wget

Tests: uwsgi
Restrictions: allow-stderr, needs-root
Depends: apache2,
         netcat-openbsd | netcat-traditional,
         rsync,
         uwsgi,
         uwsgi-plugin-python3,
         wget

Tests: CVE-2023-25690
Restrictions: allow-stderr, isolation-container, needs-root
Depends: apache2, curl, rsync, wget

## apache2 2.4.65

=== debian/changelog ===
apache2 (2.4.65-1~deb12u1) bookworm; urgency=medium

  * Team upload

  [ Yadd ]
  * Drop patches included in upstream
  * New upstream version 2.4.64
    (Closes: CVE-2025-23048, CVE-2024-42516, CVE-2024-43204, CVE-2024-43394,
    CVE-2024-47252, CVE-2025-49630, CVE-2025-49812, CVE-2025-53020)
  * New upstream version 2.4.65
    (Closes: CVE-2025-54090)
  * Unfuzz patches

  [ Bastien Roucariès ]
  * Add a NEWS entry following CVE-2025-23048

 -- Bastien Roucariès <rouca@debian.org>  Tue, 29 Jul 2025 22:18:46 +0200

apache2 (2.4.62-1~deb12u2) bookworm-security; urgency=medium

  * Fix CVE-2024-38474 regression:
    Better question mark tracking to avoid UnsafeAllow3F
    (Closes: #1079172)
  * Fix CVE-2024-39884 regression:
    Trust strings from configuration in mod_proxy
    (Closes: #1079206)
  * Add myself as maintainer with Yadd agreement

 -- Bastien Roucariès <rouca@debian.org>  Fri, 04 Oct 2024 15:21:08 +0000

apache2 (2.4.62-1~deb12u1) bookworm; urgency=medium

  * New upstream version 2.4.62 (Closes: CVE-2024-40725, CVE-2024-40898)

 -- Yadd <yadd@debian.org>  Thu, 18 Jul 2024 09:29:16 +0400

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: apache2
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Apache Maintainers <debian-apache@lists.debian.org>
+Maintainer: Debian Apache Maintainers <debian-apache@lists.debian.org>
 Uploaders: Stefan Fritsch <sf@debian.org>,
            Arno Töll <arno@debian.org>,
            Ondřej Surý <ondrej@debian.org>,
@@ -16,7 +15,7 @@
                libapr1-dev,
                libaprutil1-dev,
                libbrotli-dev,
-               liblua5.4-dev,
+               liblua5.3-dev,
                libnghttp2-dev,
                libpcre2-dev,
                libssl-dev,
@@ -38,6 +37,7 @@
 Depends: apache2-bin (= ${binary:Version}),
          apache2-data (= ${source:Version}),
          apache2-utils (= ${binary:Version}),
+         lsb-base,
          media-types,
          ${perl:Depends},
          procps [!hurd-i386],
@@ -45,8 +45,7 @@
 Recommends: ssl-cert
 Suggests: apache2-doc,
           apache2-suexec-pristine | apache2-suexec-custom,
-          www-browser,
-          ufw
+          www-browser
 Pre-Depends: ${misc:Pre-Depends}
 Provides: httpd,
           httpd-cgi
@@ -78,7 +77,6 @@
 Suggests: apache2-doc,
           apache2-suexec-pristine | apache2-suexec-custom,
           www-browser
-Breaks: fossil (<< 1:2.24-5~)
 Provides: ${apache2:API}
 Description: Apache HTTP Server (modules and other binary files)
  The Apache HTTP Server Project's goal is to build a secure, efficient and
@@ -160,8 +158,7 @@
          openssl,
          ${misc:Depends},
          ${perl:Depends}
-Provides: dh-apache2,
-          dh-sequence-apache2
+Provides: dh-apache2
 Description: Apache HTTP Server (development headers)
  The Apache HTTP Server Project's goal is to build a secure, efficient and
  extensible HTTP server as standards-compliant open source software. The
@@ -190,3 +187,23 @@
  .
  This package provides the development header and the dependencies for
  modules that interact with mod_ssl's internal openssl state.
+
+Package: libapache2-mod-md
+Architecture: any
+Multi-Arch: same
+Section: oldlibs
+Depends: ${misc:Depends},
+         apache2 (= ${binary:Version})
+Description: transitional package
+ This is a transitional package to apache2 for users of libapache2-mod-md.
+ It can be safely removed after the installation is complete.
+
+Package: libapache2-mod-proxy-uwsgi
+Architecture: any
+Section: oldlibs
+Depends: ${misc:Depends},
+         apache2 (= ${binary:Version})
+Description: transitional package
+ This is a transitional package to apache2 for users of
+ libapache2-mod-proxy-uwsgi.
+ It can be safely removed after the installation is complete.

=== debian/tests/control ===
Tests: run-test-suite
Features: no-build-needed
Restrictions: allow-stderr isolation-container breaks-testbed needs-root
Depends: build-essential, apache2, apache2-dev,
         libwww-perl, libnet-ssleay-perl, libanyevent-perl, libdatetime-perl,
         libhtml-parser-perl, libtime-hires-perl, libcrypt-ssleay-perl,
         libhttp-dav-perl, libprotocol-http2-perl, libfcgi-perl,
         libpcre2-dev, perl-doc

Tests: duplicate-module-load, default-mods
Restrictions: allow-stderr, needs-root
Depends: apache2

Tests: htcacheclean
Restrictions: allow-stderr, needs-root, skippable
Depends: apache2

Tests: ssl-passphrase
Restrictions: needs-root allow-stderr breaks-testbed
Depends: apache2, curl, expect, ssl-cert

Tests: check-http2
Restrictions: needs-root allow-stderr breaks-testbed
Depends: apache2, curl, ssl-cert, nghttp2-client

Tests: chroot
Features: no-build-needed
Restrictions: needs-root allow-stderr breaks-testbed
Depends: apache2, wget, dpkg-dev, gcc

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ https://www.apache.org/dist/httpd/httpd-(\d\.[02468]\.\d+)\.tar\.gz
